VARKON Version 1.15 1997-10-24

> ## inv_tang - Function

> Geometrical function
> Description
> Returns the parameter value of a position on an arc or curve having a specified tangent direction.
> Syntax
> inv_tang(ref, tan, alt)

> REF | ref;
> VECTOR | tan;
> INT | alt;

> Principal parameters

> ref | - Identity of arc or curve
> tan | - Requested tangent direction

> Optional parameters

> alt | - Alternative, default = 1

> Return value
> A FLOAT value equal to the parameter value of the requested position.
> Example
> INV_TANG(#5,vec(1,0))
> The parameter value of a position on #5 where its tangent direction is equal to the direction of X=1, Y=0.
> Comments
> If more than one position on the entity has the specified tangent direction alt can be used to select the right one.

VARKON Homepage | Index